#!/usr/bin/perl

##### GENERAL CONFIGURATION #####

	$repeat		= 'YES';								# REPEAT or NOT
	$interval	= 4 * 60 * 60;							# REPEAT INTERVAL (sec)

##### FILE COPY CONFIGURATION #####

	$useCopy	= 'NO';									# COPY IMAGE TO FOLDER or NOT
	$copyDst	= '~/Pictures/iPod/WebBits/';			# DESTINATION FOLDER PATH

##### FTP CONFIGURATION #####

	$useFtp		= 'NO';									# TRANSFER TO FTP SERVER or NOT
	$server		= 'ftp.yourServer.com';					# FTP SERVER
	$remotePath	= '/public_html/yourFolder/';			# UPLOAD PATH
	$userId		= 'yourId';								# USER ID
	$passwd		= 'yourPassword';						# PASSWORD

##### SITES CONFIGURATION ####

#		FILE NAME,			URL,																		EXTRA OPTIONS

@urls = (

	# NEWS

		'gnews0.jpg',		'http://news.google.co.jp/news?ned=tjp#s_0',								'fontzoom=4',
		'gnews1.jpg',		'http://news.google.co.jp/news?ned=tjp#s_1',								'fontzoom=4',
		'gnews2.jpg',		'http://news.google.co.jp/news?ned=tjp#s_2',								'fontzoom=4',
		'gnews3.jpg',		'http://news.google.co.jp/news?ned=tjp#s_3',								'fontzoom=4',
		'gnews4.jpg',		'http://news.google.co.jp/news?ned=tjp#s_4',								'fontzoom=4',
		'gnews5.jpg',		'http://news.google.co.jp/news?ned=tjp#s_5',								'fontzoom=4',
		'gnews6.jpg',		'http://news.google.co.jp/news?ned=tjp#s_6',								'fontzoom=4',
		'gnews7.jpg',		'http://news.google.co.jp/news?ned=tjp#s_7',								'fontzoom=4',

		'asahi.com.jpg',	'http://www.asahi.com/',													'width=460 height=690 scale=0.7 fontzoom=1.3 scrolly=276',

		'hochi_ent.jpg',	'http://hochi.yomiuri.co.jp/entertainment/',								'width=600 height=615 clip=0,0,320,480 scale=0.78 scrolly=195 fontzoom=1 minfont=14',
		'hochi_mlb.jpg',	'http://hochi.yomiuri.co.jp/mlb/',											'width=600 height=615 clip=0,0,320,480 scale=0.78 scrolly=195 fontzoom=1 minfont=14',

	# GENERAL

		'youtube.jpg',		'http://jp.youtube.com/browse?s=mf&c=0&l=&b=0&e=ja_JP',						'width=910 height=1365 scale=0.552 clip=86,0,320,480',
		'gigazine.jpg',		'http://gigazine.net/',														'width=930 height=1395 scale=0.344',
		'today.jpg',		'http://today.hakodate.or.jp/apps/Today/Content?conf=today.pro',			'fontzoom=3',
		'hatebu.jpg',		'http://vgzh.dtdns.net/hatebu/',											'width=540 height=810 scale=0.5926 fontzoom=1',

		'infostar.jpg',		'http://homepage2.nifty.com/info-star/newstoday.html',						'fontzoom=4',
		'astroarts.jpg',	'http://www.astroarts.co.jp/',												'width=710 height=1065 scale=0.451 fontzoom=3',

	# RANDOM WIKIPEDIA

		'wikipedia0.jpg',	'http://ja.wikipedia.org/wiki/special:Random',								'width=900 height=1050 scale=0.5 clip=124,0,320,480 fontsize=10',
		'wikipedia1.jpg',	'http://ja.wikipedia.org/wiki/special:Random',								'width=900 height=1050 scale=0.5 clip=124,0,320,480 fontsize=10',
		'wikipedia2.jpg',	'http://ja.wikipedia.org/wiki/special:Random',								'width=900 height=1050 scale=0.5 clip=124,0,320,480 fontsize=10',
		'wikipedia3.jpg',	'http://ja.wikipedia.org/wiki/special:Random',								'width=900 height=1050 scale=0.5 clip=124,0,320,480 fontsize=10',
		'wikipedia4.jpg',	'http://ja.wikipedia.org/wiki/special:Random',								'width=900 height=1050 scale=0.5 clip=124,0,320,480 fontsize=10',
		'wikipedia5.jpg',	'http://ja.wikipedia.org/wiki/special:Random',								'width=900 height=1050 scale=0.5 clip=124,0,320,480 fontsize=10',
		'wikipedia6.jpg',	'http://ja.wikipedia.org/wiki/special:Random',								'width=900 height=1050 scale=0.5 clip=124,0,320,480 fontsize=10',
		'wikipedia7.jpg',	'http://ja.wikipedia.org/wiki/special:Random',								'width=900 height=1050 scale=0.5 clip=124,0,320,480 fontsize=10',
		'wikipedia8.jpg',	'http://ja.wikipedia.org/wiki/special:Random',								'width=900 height=1050 scale=0.5 clip=124,0,320,480 fontsize=10',
		'wikipedia9.jpg',	'http://ja.wikipedia.org/wiki/special:Random',								'width=900 height=1050 scale=0.5 clip=124,0,320,480 fontsize=10',

	# WEATHER

		'wn_satte.jpg',		'http://weathernews.jp/satellite/',											'width=540 height=810 scale=0.5926 delay=15',
		'wn_radar.jpg',		'http://weathernews.jp/radar/',												'width=540 height=810 scale=0.5926 delay=15',
		'wn_typhoon.jpg',	'http://weathernews.jp/typhoon/',											'width=540 height=810 scale=0.5926 delay=15',
		'wn_quake.jpg',		'http://weathernews.jp/quake/',												'width=540 height=810 scale=0.5926 delay=15',

		'digity.jpg',		'http://agora.ex.nii.ac.jp/digital-typhoon/latest/globe/512x512/ir.jpg',	'clip=96,0,320,480 scale=1',

	# COMPUTER & GADGET

		'appleJp.jpg',		'http://www.apple.com/jp/',													'width=1000 height=1500 scale=0.32',
		'hmdt.jpg',			'http://hmdt.jp/',															'width=644 height=966 scale=0.497',

		'engadget.jpg',		'http://japanese.engadget.com/',											'width=650 height=975 scale=0.492 scrolly=140',
		'nikon.jpg',		'http://www.nikon-image.com/jpn/products/index.htm',						'width=750 height=1125 scale=0.43',
		'canon.jpg',		'http://cweb.canon.jp/camera/eosd/index.html',								'width=750 height=1125 scale=0.43 delay=10',
		
		'd300.kcom.jpg',	'http://kakaku.com/item/00490711094/',										'width=620 height=930 scale=0.516',

);

##### WEBBITS! #####

$maxId = $#urls / 3;

for ( $i = 0 ; $i <= $maxId ; $i++ ) {

	$file	= @urls[ $i * 3     ];
	$url	= @urls[ $i * 3 + 1 ];
	$opt	= @urls[ $i * 3 + 2 ];

	### CREATE IMAGE ###
	
	`./webbits file=img/$file width=960 height=1440 scale=0.333 fontzoom=1.5 minfont=20 delay=2 quality=0.9 $opt url='$url'`;		# 320x480 for iPhone / iPod touch

#	`./webbits file=img/$file url=$url width=960 height=960 scale=0.5 minfont=14 delay=5 $opt`;			# 480x480
#	`./webbits file=img/$file url=$url width=960 height=1024 scale=0.5 minfont=13 delay=5 $opt`;		# 320x480
#	`./webbits file=img/$file url=$url width=800 height=600 scale=0.4 minfont=18 delay=5 $opt`;			# 320x240

	### FTP TRANSFER ###

	if ( $useFtp eq 'YES' ) {
		`curl -T img/$file --url ftp://$server$remotePath -u $userId:$passwd`;
	}

	### FILE COPY ###
	
	if ( $useCopy eq 'YES' ) {
		`cp img/$file $copyDst`;
	}

}

##### PRINT TIME #####

($sec, $min, $hour, $mday, $mon, $year, $wday, $yday, $isdst) = localtime(time);
print "$hour:$min \n";

##### REPEAT #####

if ( $repeat eq 'YES' ) { 
	print "WAITING...";
	sleep( $interval );
	`perl AutoWebBits.pl`; 
}

